import request from "@/utils/request";

// 查询钻进计算参数单条
export function getDrilling(id) {
  return request({
    url: "/jt/jtZjjscs/csxx/" + id,
    method: "get",
  });
}

// 新增钻进计算参数
export function addDrilling(data) {
  return request({
    url: "/jt/jtZjjscs",
    method: "post",
    data: data,
  });
}

// 修改钻进计算参数
export function updateDrilling(data) {
  return request({
    url: "/jt/jtZjjscs",
    method: "put",
    data: data,
  });
}

// 查询起下钻计算参数单条
export function getDrillingInAndOut(id) {
  return request({
    url: "/jt/jtQxzjscs/csxx/" + id,
    method: "get",
  });
}

// 新增起下钻计算参数
export function addDrillingInAndOut(data) {
  return request({
    url: "/jt/jtQxzjscs",
    method: "post",
    data: data,
  });
}

// 修改起下钻计算参数
export function updateDrillingInAndOut(data) {
  return request({
    url: "/jt/jtQxzjscs",
    method: "put",
    data: data,
  });
}

// 查询下套管计算参数单条
export function getLowerCasing(id) {
  return request({
    url: "/jt/jtXtgjscs/csxx/" + id,
    method: "get",
  });
}

// 新增下套管计算参数
export function addLowerCasing(data) {
  return request({
    url: "/jt/jtXtgjscs",
    method: "post",
    data: data,
  });
}

// 修改下套管计算参数
export function updateLowerCasing(data) {
  return request({
    url: "/jt/jtXtgjscs",
    method: "put",
    data: data,
  });
}

/**********************************************摩阻扭矩*******************************************/
//钻进-司钻
export function zuanJinMoZuMgx(query) {
  return request({
    url: "/st/stMzynj/sjSzZjnjDmzxsmgx",
    method: "get",
    params: query,
  });
}
//钻进-剖面-摩阻
export function zuanJinMoZuPouM(query) {
  return request({
    url: "/st/stMzynj/sjPmZjnjDmzxsmgx",
    method: "get",
    params: query,
  });
}
//钻进-剖面-钻压
export function zuanJinZuanYaPouM(query) {
  return request({
    url: "/st/stMzynj/sjPmZy",
    method: "get",
    params: query,
  });
}
//起下钻-司钻
export function qiXiaZuanMoZuMgx(query) {
  return request({
    url: "/st/stMzynj/sjSzQxznjDmzxsmgx",
    method: "get",
    params: query,
  });
}
//起下钻-剖面
export function qiXiaZuanMoZuPouM(query) {
  return request({
    url: "/st/stMzynj/sjPmQxznjDmzxsmgx",
    method: "get",
    params: query,
  });
}
/**********************************************水力载荷*******************************************/
//钻进司钻
export function zuanJinSiShuiLi(query) {
  return request({
    url: "/slzh/stSlzh/jtZjSz_slzh",
    method: "get",
    params: query,
  });
}
//钻进剖面
export function zuanJinPouShuiLi(query) {
  return request({
    url: "/slzh/stSlzh/jtZjPm_slzh",
    method: "get",
    params: query,
  });
}
//起下钻-司钻
export function qiXiaSiShuiLi(query) {
  return request({
    url: "/slzh/stSlzh/jtQxzSz_slzh",
    method: "get",
    params: query,
  });
}
//起下钻-剖面
export function qiXiaPouShuiLi(query) {
  return request({
    url: "/slzh/stSlzh/jtQxzPm_slzh",
    method: "get",
    params: query,
  });
}
/**********************************************井筒清洁*******************************************/

//钻进剖面
export function zuanJinJtqj(query) {
  return request({
    url: "/jtqj/stJtqj/jtZjPm_jtqj",
    method: "get",
    params: query,
  });
}
//钻进司钻
export function zuanszJinJtqj(query) {
  return request({
    url: "/jtqj/stJtqj/jtZjSz_jtqj",
    method: "get",
    params: query,
  });
}
//起下钻-司钻
export function qiXiaSijtqj(query) {
  return request({
    url: "/jtqj/stJtqj/jtQxzSz_jtqj",
    method: "get",
    params: query,
  });
}
//起下钻-剖面
export function qiXiaPoujtqj(query) {
  return request({
    url: "/jtqj/stJtqj/jtQxzPm_jtqj",
    method: "get",
    params: query,
  });
}
/**********************************************水力载荷*******************************************/
/***************************************************下套管 图*******************************************/
//下套管司钻视图 -摩阻扭矩
export function tgSiZuanMoZuMgx(query) {
  return request({
    url: "/st/stMzynj/sjSzXtgnjDmzxsmgx",
    method: "get",
    params: query,
  });
}
//下套管剖面视图 -摩阻扭矩
export function tgPouMianMoZuMgx(query) {
  return request({
    url: "/st/stMzynj/sjPmXtgnjDmzxsmgx",
    method: "get",
    params: query,
  });
}
//下套管司钻视图 -水力载荷
export function tgSiZuanShuiLi(query) {
  return request({
    url: "/slzh/stSlzh/jtXtgSz_slzh",
    method: "get",
    params: query,
  });
}

//下套管剖面视图 -水力载荷
export function tgPouMianShuiLi(query) {
  return request({
    url: "/slzh/stSlzh/jtXtgPm_slzh",
    method: "get",
    params: query,
  });
}
// 设计-钻井预览图
export function zuanjinYl(query) {
  return request({
    url: "/tb/tbxq/sj_zj",
    method: "get",
    params: query,
  });
}
// 设计-起下钻预览图
export function qixiazuanYl(query) {
  return request({
    url: "/tb/tbxq/sj_qxz",
    method: "get",
    params: query,
  });
}
// 设计-下套管
export function xiataoguanYl(query) {
  return request({
    url: "/tb/tbxq/sj_xtg",
    method: "get",
    params: query,
  });
}
